Data API - Change Log
2026-03-12
- Added asynchronous v3 tasks endpoints with new odata request params for select, filter and orderby
- POST
/v3/tasks
- GET
/v3/tasks/{request_uuid}
2026-03-09
- Added asynchronous v3 devices properties endpoints with new odata request params for select, filter and orderby
- POST
/v3/devices/properties
- GET
/v3/devices/properties/{request_uuid}
2026-03-02
- Added asynchronous v1 locations and asynchronous v1 measuring objects endpoints with new odata request params for select, filter and orderby
- POST
/v1/locations
- GET
/v1/locations/{request_uuid}
- POST
/v1/measuring_objects/
- GET
/v1/measuring_objects/{request_uuid}
2026-02-26
- Added asynchronous v2 measurements endpoints with new odata request params for select, filter and orderby
- POST
/v2/measurements
- GET
/v2/measurements/{request_uuid}
2026-02-18
- Added asynchronous v3 devices status endpoints with new odata request params for select, filter and orderby
- POST
/v3/devices/status
- GET
/v3/devices/status/{request_uuid}
2026-02-17
- Added asynchronous v3 sensors status endpoints with new odata request params for select, filter and orderby
- POST
/v3/sensors/status
- GET
/v3/sensors/status/{request_uuid}
2026-02-12
- Marked old endpoint versions as deprecated
- Renamed endpoint groups for clearer understanding
- "Domain Name" for async endpoints for e.g. "Tenants"
- "Domain Name (Sync)" for sync endpoints for e.g. "Tenants (Sync)"
- Ordered endpoint versions inside the groups
2026-02-11
- Added asynchronous v2 alarms endpoints with new odata request params for select, filter and orderby
- POST
/v2/alarms
- GET
/v2/alarms/{request_uuid}
2026-02-10
- Added asynchronous v3 tenants endpoints with new odata request params for select, filter and orderby
- POST
/v3/tenants
- GET
/v3/tenants/{request_uuid}
2026-02-09
- Added asynchronous v4 equipment endpoints with new odata request params for select, filter and orderby
- POST
/v4/equipments
- GET
/v4/equipments/{request_uuid}
2025-09-29
- Added delivery guarantee guidance and documented equipment-channel mapping for the v3 asynchronous equipment endpoint.
- Added asynchronous v3 equipment endpoints with
physical_value and physical_extensions metadata
- POST
/v3/equipments
- GET
/v3/equipments/{request_uuid}
2025-09-05
- Add new asynchronous endpoints for devices properties
- POST
/v2/devices/properties-async
- GET
/v2/devices/properties-async/{request_uuid}
2024-09-04
- Add new asynchronous endpoints for devices status
- POST
/v2/sensors/status
- GET
/v2/sensors/status/{request_uuid}
- Add new asynchronous endpoints for sensors status
- POST
/v2/sensors/status
- GET
/v2/sensors/status/{request_uuid}
- Add synchronous endpoint for devices status
- GET
/v2/devices/status-sync
- Add synchronous endpoint for sensors status
- GET
/v2/sensors/status-sync
2024-09-03
- Add new asynchronous endpoints for tenants
- POST
/v2/tenants
- GET
/v2/tenants/{request_uuid}
- Add synchronous endpoint for tenants
2024-09-02
- Add new asynchronous endpoints for equipments
- POST
/v2/equipments
- GET
/v2/equipments/{request_uuid}
- Add synchronous endpoint for equipments
2025-01-06
- Add new asynchronous endpoints for tasks
- POST
/v2/tasks
- GET
/v2/taks/{request_uuid}
2025-01-19
- Added executed task duplicates' note